org.gjt.sp.jedit.io

## Interface EncodingDetector

All Known Implementing Classes:
  EncodingWithBOM.Detector, RegexEncodingDetector, XMLEncodingDetector

    public interface EncodingDetector

An interface to detect a reasonable encoding from some bytes at the beginning of a file. To offer your own EncodingDetector, implement this interface and define a service in your `services.xml` file. For example:

    <SERVICE CLASS="org.gjt.sp.jedit.io.EncodingDetector" NAME="XML-PI">
            new XMLEncodingDetector();
    </SERVICE>

Since:
  4.3pre10

### Method Summary

Methods
`java.lang.String` `detectEncoding(java.io.InputStream sample)` Returns the name of a detected encoding for the bytes in sample.

### Method Detail

#### detectEncoding

    java.lang.String detectEncoding(java.io.InputStream sample)
                                    throws java.io.IOException

Returns the name of a detected encoding for the bytes in sample. Returns null if this instance could not detect reasonable one.

Throws:
  `java.io.IOException`